jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <msl...@email.cz>
Subject Re: JCA 2.4.3 on Jboss: java.lang.IncompatibleClassChangeError
Date Tue, 12 Feb 2013 10:11:16 GMT
Deploying on jboss depends on jboss version and as you did not say which 
version of jboss you use
do not expect any helpful info. We use latest JBoss 7.1.1 without problem.

Steps to deploy on JBoss 7 are here https://community.jboss.org/wiki/
JackrabbitDeploymentInAS6AndAS7

Marek



---------- Původní zpráva ----------
Od: Anton Gavazuk <antongavazuk@gmail.com>
Datum: 11. 2. 2013
Předmět: JCA 2.4.3 on Jboss: java.lang.IncompatibleClassChangeError

"Hi dear community,

today I've downloaded latest stable jca package (my current is 2.2.4) and
got stuck with nice error:

21:57:31,300 WARN [ClassLoaderManager] Unexpected error during load
of:org.apache.jackrabbit.core.query.lucene.DescendantSelfAxisQuery$
DescendantSelfAxisWeight:
java.lang.IncompatibleClassChangeError:
org/apache/jackrabbit/core/query/lucene/DescendantSelfAxisQuery$
DescendantSelfAxisWeight
: org/apache/lucene/search/Weight
at java.lang.ClassLoader.defineClass1(Native Method) [:1.6.0_37]

do you know what might be the issue? The delivered jar has not been made in
correct way? Because I didnt make any change to downloaded file...

Thanks,
Anton"
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message